Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation
Class AbstractConsensusFoundationModule

    java.lang.Object
      de.uka.ipd.consensus.foundation.AbstractConsensusFoundationModule

All Implemented Interfaces:
  ConsensusFoundationManager, ConsensusFoundationModule

Direct Known Subclasses:
  DynamicRightsManagerImpl, EvolutionManagerImpl, IncentiveManagerImpl, LoggingManagerImpl, OntologyManagerImpl, SQLRatingManagerImpl, TM4JRatingManagerImpl, UserManagerImpl

public abstract class AbstractConsensusFoundationModule
extends Object
implements ConsensusFoundationModule, ConsensusFoundationManager

An abstract superclass for the seven components (the "managers") of the ConsensusFoundation framework. It offers easy access to all other components within each component that subclasses this class.

Version:
  2006-06-14
Author:
  Thomas Much

Constructor Summary
`AbstractConsensusFoundationModule()`

Method Summary
`protected void` | `finalize()` Calls `shutdown()` if the application forgot to do so.
`ConsensusFoundationManager` | `getConsensusFoundationManager()` Returns a reference to the ConsensusFoundation instance that set up the application
`DynamicRightsManager` | `getDynamicRightsManager()` Returns a reference to the DynamicRightsManager.
`EvolutionManager` | `getEvolutionManager()` Returns a reference to the EvolutionManager.
`IncentiveManager` | `getIncentiveManager()` Returns a reference to the IncentiveManager.
`LoggingManager` | `getLoggingManager()` Returns a reference to the LoggingManager.
`OntologyManager` | `getOntologyManager()` Returns a reference to the OntologyManager.
`RatingManager` | `getRatingManager()` Returns a reference to the RatingManager.
`UserManager` | `getUserManager()` Returns a reference to the UserManager.
`void` | `initCompleted(Properties config, ConsensusFoundationManager cfm)` Stores the ConsensusFoundationManager reference.
`void` | `shutdown()` An empty implementation.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.uka.ipd.consensus.foundation.ConsensusFoundationModule
`getVersion`

Methods inherited from interface de.uka.ipd.consensus.foundation.ConsensusFoundationManager
`getVersion`

Constructor Detail

### AbstractConsensusFoundationModule

    public AbstractConsensusFoundationModule()

Method Detail

### initCompleted

    public void initCompleted(Properties config,
                              ConsensusFoundationManager cfm)
                       throws Exception

  Stores the ConsensusFoundationManager reference.

  If you override this method be sure to call this superclass method early in the overriding method!

  Specified by:
    `initCompleted` in interface `ConsensusFoundationModule`
  Parameters:
    `config` - all entries from `ConsensusFoundation.properties`
    `cfm` - a reference to the ConsensusFoundation instance that set up the application
  Throws:
    `Exception` - if any error occurs (startup of the application is aborted in this case)
  See Also:
    `ConsensusFoundation.ConsensusFoundation()`

### getConsensusFoundationManager

    public ConsensusFoundationManager getConsensusFoundationManager()

  Description copied from interface: `ConsensusFoundationModule`
  Returns a reference to the ConsensusFoundation instance that set up the application

  Specified by:
    `getConsensusFoundationManager` in interface `ConsensusFoundationModule`
  Returns:
    a reference to the ConsensusFoundation instance that set up the application
  See Also:
    `ConsensusFoundation`

### getLoggingManager

    public LoggingManager getLoggingManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the LoggingManager.

  Specified by:
    `getLoggingManager` in interface `ConsensusFoundationManager`
  Returns:
    the LoggingManager instance, never `null` after successful startup

### getUserManager

    public UserManager getUserManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the UserManager.

  Specified by:
    `getUserManager` in interface `ConsensusFoundationManager`
  Returns:
    the UserManager instance, never `null` after successful startup

### getOntologyManager

    public OntologyManager getOntologyManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the OntologyManager.

  Specified by:
    `getOntologyManager` in interface `ConsensusFoundationManager`
  Returns:
    the OntologyManager instance, never `null` after successful startup

### getEvolutionManager

    public EvolutionManager getEvolutionManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the EvolutionManager.

  Specified by:
    `getEvolutionManager` in interface `ConsensusFoundationManager`
  Returns:
    the EvolutionManager instance or `null` if an EvolutionManager is not available

### getRatingManager

    public RatingManager getRatingManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the RatingManager.

  Specified by:
    `getRatingManager` in interface `ConsensusFoundationManager`
  Returns:
    the RatingManager instance or `null` if a RatingManager is not available

### getIncentiveManager

    public IncentiveManager getIncentiveManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the IncentiveManager.

  Specified by:
    `getIncentiveManager` in interface `ConsensusFoundationManager`
  Returns:
    the IncentiveManager instance or `null` if an IncentiveManager is not available

### getDynamicRightsManager

    public DynamicRightsManager getDynamicRightsManager()

  Description copied from interface: `ConsensusFoundationManager`
  Returns a reference to the DynamicRightsManager.

  Specified by:
    `getDynamicRightsManager` in interface `ConsensusFoundationManager`
  Returns:
    the DynamicRightsManager instance or `null` if a DynamicRightsManager is not available

### finalize

    protected void finalize()
                     throws Throwable

  Calls `shutdown()` if the application forgot to do so.

  Throws:
    `Throwable`
  See Also:
    `shutdown()`

### shutdown

    public void shutdown()

  An empty implementation.

  If you override this method make sure that the shutdown code is executed only once even if this method is called multiple times.

  Specified by:
    `shutdown` in interface `ConsensusFoundationModule`
  See Also:
    `ConsensusFoundation.shutdown()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD